Bug 204935 - Update notification bubble doesn't go away by itself, multiple bubbles
Update notification bubble doesn't go away by itself, multiple bubbles
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 10:23 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 00:26:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
First of the two alternative patch: uses notification update functionality (1.84 KB, patch)
2006-09-02 15:05 EDT, Asko Tontti
no flags Details | Diff
Second of two alternative patches: uses notification close and show functionality (1.65 KB, patch)
2006-09-02 15:07 EDT, Asko Tontti
no flags Details | Diff

  None (edit)
Description G.Wolfe Woodbury 2006-09-01 10:23:01 EDT
Description of problem:
The yum-updatesd puplet notification bubble comes up at regular intervals
but doesn't go away by itself if no one is there to see it.  This leads to
multiple bubbles all in the same place, making the user think there is a
problem with the "x" operation.  One has to click many times to get the bubble
to go away completely.


Version-Release number of selected component (if applicable):
pirut-1.1.9-1

How reproducible:
always

Steps to Reproduce:
1. let the system sit for a while with pending updates
2.
3.
  
Actual results:
The puplet bubble doesn't go away with one click of the "x"

Expected results:
The bubble shouldn't appear again if there is one already visible, or it should
time out and disappear if there is no response.


Additional info:
rawhide 2006-08-29 install plus updates. (equiv to 2006-08-30)

It took a pit of prying to see that there were multiple bubbles all in
exactly the same place.  I've had as many as 8 bubbles sitting there at the
end of the day requiring 8 clicks to get them all gone.
Comment 1 Asko Tontti 2006-09-02 15:03:06 EDT
I wrote two alternative patches to fix this problem.

The first one uses notification update functionality but it seems to have
revealed some drawing bugs in the notification applet so I don't recommend using
it before the applet is fixed.

In the meantime I recommend using the second patch for puplet.
Comment 2 Asko Tontti 2006-09-02 15:05:01 EDT
Created attachment 135431 [details]
First of the two alternative patch: uses notification update functionality
Comment 3 Asko Tontti 2006-09-02 15:07:41 EDT
Created attachment 135432 [details]
Second of two alternative patches: uses notification close and show functionality
Comment 4 Jeremy Katz 2006-09-06 00:26:48 EDT
I took a different approach which will be in pirut-1.1.10-1 in tomorrow's rawhide
Comment 5 Asko Tontti 2006-09-07 14:40:54 EDT
"I took a different approach which will be in pirut-1.1.10-1 in tomorrow's rawhide"

But doesn't your approach still open multiple bubbles if the number of updates
changes in time? Or are you doing it on purpose?

Note You need to log in before you can comment on or make changes to this bug.